#!/bin/bash

set -euxo pipefail


NUM_OF_WHOS=$1
# Apply the RGW configuration to the specified hosts
sudo ceph orch apply rgw 1 --port=6780 --placement="$NUM_OF_WHOS"
sudo ceph dashboard set-rgw-api-ssl-verify True
sudo ceph orch apply mgr "$HOSTNAME"

ceph_rgw_pass="<passwords.yaml"
rgw_keystone_admin_user="ceph_rgw"
internal_url="vta-dev-internal.cybbh.space"

WHO_IS=""
NUM_WHO_IS=$(echo "$WHO_IS" | wc -w)
while [[ "$NUM_WHO_IS" -lt 3 ]]
do
    WHO_IS="$(sudo ceph auth ls | grep client.rgw | grep client)" || true
    echo "Waiting..."
    sleep 10
    NUM_WHO_IS=$(echo "$WHO_IS" | wc -w)
done

WHO_IS="client.rgw.default $WHO_IS"
echo "RGW CLIENTS: $WHO_IS"
for WHO in $WHO_IS; do
    sudo ceph config set "$WHO" rgw_keystone_api_version 3
    sudo ceph config set "$WHO" rgw_keystone_url https://"$internal_url":5000
    sudo ceph config set "$WHO" rgw_keystone_accepted_admin_roles "admin"
    sudo ceph config set "$WHO" rgw_keystone_accepted_roles "_member_, member, admin, user"
    sudo ceph config set "$WHO" rgw_keystone_implicit_tenants true
    sudo ceph config set "$WHO" rgw_keystone_admin_user "$rgw_keystone_admin_user"
    sudo ceph config set "$WHO" rgw_keystone_admin_password "$ceph_rgw_pass"
    sudo ceph config set "$WHO" rgw_keystone_admin_project service
    sudo ceph config set "$WHO" rgw_keystone_admin_domain default
    sudo ceph config set "$WHO" rgw_keystone_token_cache_size 10
    sudo ceph config set "$WHO" rgw_trust_forwarded_https true
    sudo ceph config set "$WHO" rgw_swift_account_in_url true
    sudo ceph config set "$WHO" rgw_swift_url_prefix swift
done

sudo ceph orch restart rgw.1
HOSTNAMES=$(sudo ceph orch host ls | grep -v HOST | awk '{print $1}' | tr '\n' ',')
#sudo ceph orch apply mgr "$HOSTNAMES"
ceph orch apply mgr "$HOSTNAME"